import type { ValidationTrigger } from './ValidationTrigger';
import type { ValidationTriggerSet } from './ValidationTriggerSelector';
/**
 * Resolves the given well-known validation triggers to concrete ones.
 * @param validationTriggers The well-known validation triggers to interpret.
 * @returns Returns a set of concrete validation triggers that correspond to the given well-known ones.
 */
export declare function resolveAllValidationTriggers(validationTriggers: ValidationTriggerSet): readonly ValidationTrigger[];
