import type { WellKnownValidationTrigger, ValidationTrigger } from './ValidationTrigger';
/**
 * Resolves the given well-known validation trigger to concrete ones.
 * @param validationTrigger The well-known validation trigger to interpret.
 * @returns Returns a set of concrete validation triggers that correspond to the given well-known one.
 */
export declare function resolveValidationTriggers(validationTrigger: WellKnownValidationTrigger | ValidationTrigger): readonly ValidationTrigger[];
